PLplot: tclMain.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
tclMain.c File Reference
`#include "pltcl.h"`
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | TclFormatInt(buf, n) sprintf( ( buf ), "%ld", (long) ( n ) )
#define | TCL_STORAGE_CLASS DLLEXPORT

## Functions
int isatty | _ANSI_ARGS_ ((int fd))
char *strcpy | _ANSI_ARGS_ ((char *dst, CONST char *src))
static void | plPrepOutputHandler (Tcl_Interp *interp, int code, int tty)
void | TclSetStartupScriptFileName (char *fileName)
const char * | TclGetStartupScriptFileName (void)
int PLDLLEXPORT | pltclMain (int argc, char **argv, char *PL_UNUSED(RcFileName), int(*appInitProc)(Tcl_Interp *interp))
static void | plPrepOutputHandler (Tcl_Interp *PL_UNUSED(interp), int PL_UNUSED(code), int PL_UNUSED(tty))

## Variables
static const char * | tclStartupScriptFileName = NULL
void(* | tclErrorHandler )(Tcl_Interp *interp, int code, int tty) = NULL
void(* | tclPrepOutputHandler )(Tcl_Interp *interp, int code, int tty) = plPrepOutputHandler
static char * | tclStartupScript = NULL
static const char * | pltcl_notes []
static PLOptionTable | options []

## Macro Definition Documentation

## ◆ TCL_STORAGE_CLASS

#define TCL_STORAGE_CLASS DLLEXPORT

Definition at line 54 of file tclMain.c.

## ◆ TclFormatInt

#define TclFormatInt | ( |  | buf,
|  |  | n
| ) |  | sprintf( ( buf ), "%ld", (long) ( n ) )

Definition at line 51 of file tclMain.c.

## Function Documentation

## ◆ _ANSI_ARGS_() [1/2]

int isatty _ANSI_ARGS_ | ( | (int fd) |  | ) |

## ◆ _ANSI_ARGS_() [2/2]

char* strcpy _ANSI_ARGS_ | ( | (char *dst, CONST char *src) |  | ) |

## ◆ plPrepOutputHandler() [1/2]

static void plPrepOutputHandler | ( | Tcl_Interp * | interp,
|  | int | code,
|  | int | tty
| ) |  |
| static

## ◆ plPrepOutputHandler() [2/2]

static void plPrepOutputHandler | ( | Tcl_Interp * | PL_UNUSEDinterp,
|  | int | PL_UNUSEDcode,
|  | int | PL_UNUSEDtty
| ) |  |
| static

Definition at line 503 of file tclMain.c.

## ◆ pltclMain()

int PLDLLEXPORT pltclMain | ( | int | argc,
|  | char ** | argv,
|  | char * | PL_UNUSEDRcFileName,
|  | int(*)(Tcl_Interp *interp) | appInitProc
| ) |  |

Definition at line 214 of file tclMain.c.

## ◆ TclGetStartupScriptFileName()

const char * TclGetStartupScriptFileName | ( | void |  | ) |

Definition at line 187 of file tclMain.c.

## ◆ TclSetStartupScriptFileName()

void TclSetStartupScriptFileName | ( | char * | fileName | ) |

Definition at line 165 of file tclMain.c.

## Variable Documentation

## ◆ options

PLOptionTable options[]
| static

Definition at line 108 of file tclMain.c.

## ◆ pltcl_notes

const char* pltcl_notes[]
| static

Initial value:
= {
"Specifying the filename on the command line is compatible with modern",
"tclsh syntax. Old tclsh's used the -f syntax, which is still supported.",
"You may use either syntax but not both.",
NULL
}

Definition at line 101 of file tclMain.c.

## ◆ tclErrorHandler

void( * tclErrorHandler) (Tcl_Interp *interp, int code, int tty) = NULL

Definition at line 93 of file tclMain.c.

## ◆ tclPrepOutputHandler

void( * tclPrepOutputHandler) (Tcl_Interp *interp, int code, int tty) = plPrepOutputHandler

Definition at line 95 of file tclMain.c.

## ◆ tclStartupScript

char* tclStartupScript = NULL
| static

Definition at line 100 of file tclMain.c.

## ◆ tclStartupScriptFileName

const char* tclStartupScriptFileName = NULL
| static

Definition at line 80 of file tclMain.c.